Skip to content

Get Lorekeeper Cache Stats

GET
/api/agents/lorekeeper/cache/stats

Return a snapshot of the Lorekeeper result-cache state.

Useful for debugging why a check is slow (no cache hits) or whether a particular document is dominating cache capacity. Read-only.

Successful Response

LorekeeperCacheStats

Snapshot of the Lorekeeper in-memory consistency-result cache.

object
entries
required
Entries

Number of cached results right now

integer
maxEntries
required
Maxentries

Cache capacity before LRU eviction

integer
ttlSeconds
required
Ttlseconds

Entry TTL in seconds

number
documentsTracked
required
Documentstracked

Distinct documents with cached results

integer
perDocumentCounts
required
Perdocumentcounts

Document id → number of cached result hashes for that doc

object
key
additional properties
integer
cacheHits
required
Cachehits

Cache hits since agent start

integer
cacheMisses
required
Cachemisses

Cache misses since agent start

integer
hitRate
required
Any of:
number